%define	module	PAR
%define	name	perl-%{module}
%define	version	0.87
%define	release	1mdk

Summary:	Perl Archive Toolkit
Version:	%{version}
Name:		%{name}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	ftp://ftp.cpan.org/authors/id/A/AU/AUTRIJUS/%{module}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl(Archive::Zip) >= 1
Requires:	perl(Compress::Zlib)
Requires:	perl(File::Temp)
Requires:	perl(Module::ScanDeps) >= 0.45
Requires:	perl(PAR::Dist) >= 0.06
BuildRequires:	perl-devel
BuildRequires:	perl(Archive::Zip) >= 1
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Module::ScanDeps) >= 0.45
BuildRequires:	perl(PAR::Dist) >= 0.06

%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
.par files.

For bundling prerequisite modules of scripts into a PAR file (ala
PerlApp, Perl2exe, or 'perlcc that works'), see "perldoc pp".
For running ".par" files directly, see "perldoc parl".
To generate/execute self-contained perl scripts, see "perldoc par.pl".

An extensive "Cross-Platform Packaging and Deployment with PAR" tutorial
is availabe at http://www.autrijus.org/par-tutorial/.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog contrib/ README TODO
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.87-1mdk
- 0.87

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.86-1mdk
- New version

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-3mdk
- Rebuild for new perl

* Wed Jul 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-2mdk
- Rebuild for new perl

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-1mdk
- 0.85 ; fix Requires

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.83-1mdk
- 0.83

* Mon May 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.81-1mdk
- New version

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.80-1mdk
- first Mandrake release
